@import "https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined:opsz,wght,FILL,GRAD@20..48,100..700,0..1,-50..200";
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap');
:root {
  --jp-custom--btn-background: var(--md-blue-400);
  --jp-custom--btn-color: white;
  --jp-custom--card-background: white;
  --jp-custom--graphics-background: var(--md-green-50);
  --jp-custom--graphics-background-predict: var(--md-blue-grey-50);
  --jp-custom--btn-disabled-color: var(--md-blue-grey-400);
  --jp-custom--datasets-card-info: var(--md-blue-grey-700);
  --jp-custom--pages-text: black;
  --jp-custom--pages-background: var(--md-blue-grey-50);
  --jp-custom--presentation-dropzone: var(--md-blue-grey-100);
  --jp-custom--tab-background: white;
  --jp-custom-font-family-material-symbols: 'Material Symbols Outlined';
  --jp-custom--datasets-card-selected: var(--md-blue-50);
}

.text-title {
  color: var(--md-grey-900);
  font-size: 24px !important;
  font-weight: 600 !important;
  line-height: 24px !important;
  margin-top: 16px !important;
  padding: 0px !important;
}

.text-presets {
  color: var(--md-blue-grey-400);
  font-size: 12px !important;
  font-weight: 500 !important;
  line-height: 12px !important;
  letter-spacing: 2.88px !important;
  text-transform: uppercase !important;
  margin-top: 24px !important;
  padding: 0px !important;
}

.presentation-pages {
  background: var(--md-blue-grey-50) !important;
}

.presentation-pages button[cancel] {
  line-height: 19.92px;
  letter-spacing: 0.4px;
  border-radius: 4px !important;
  border: 1px solid var(--md-blue-600) !important;
  color: var(--md-blue-600) !important;
  background: white !important;
}

.v-toolbar .v-slide-group__next:not(.v-slide-group__next--disabled) {
  background: linear-gradient(270deg, #FFFFFF 0.26%, rgba(255, 255, 255, 0) 95.28%);
  height: 100%;
}

.v-toolbar .v-slide-group__next {
  position: absolute;
  z-index: 10;
  right: 0px;
}

.v-toolbar .mdi-chevron-right {
  background: #42A5F5;
  box-shadow: 0px 4px 14px 0px #0000000F;
  color: white !important;
  width: 40px;
  height: 40px;
  padding: 4px;
  border-radius: 100px;
}

.v-toolbar .v-slide-group__prev:not(.v-slide-group__prev--disabled) {
  background: linear-gradient(90deg, #FFFFFF 0.26%, rgba(255, 255, 255, 0) 95.28%);
  height: 100%;
}

.v-toolbar .v-slide-group__prev {
  position: absolute;
  z-index: 10;
  left: 0px;
}

.v-toolbar .mdi-chevron-left {
  background: #42A5F5;
  box-shadow: 0px 4px 14px 0px #0000000F;
  color: white !important;
  width: 40pxpx;
  height: 40pxpx;
  padding: 4px;
  border-radius: 100px;
}

.v-overlay--active .v-overlay__scrim{
  opacity: 1 !important;
  background: rgb(0 0 0 / 60%) !important;
}

.v-overlay__content>.container>div {
  color: var(--md-blue-grey-50) !important;
}

.v-overlay__content .dot {
  background: var(--md-blue-grey-50) !important;
}

.presentation-panel .v-card {
  border-radius: 4px !important;
  box-shadow: 0px 1px 5px 0px rgba(0, 0, 0, 0.12), 0px 2px 2px 0px rgba(0, 0, 0, 0.14), 0px 3px 1px -2px rgba(0, 0, 0, 0.20) !important;
  padding: 0px !important;
}

.presentation-panel .v-card__title {
  justify-content: center !important;
  font-size: 12px;
  font-weight: 400;
  line-height: 19.92px;
  letter-spacing: 0.4px;
}

.login-dialog {
  position: absolute;
  left: calc(50% - 200px);
  width: 400px;
}

.login-form {
  background: white !important;
  border-radius: 16px !important;
  padding: 0px !important;
}

.dialog-border-bottom {
  border-bottom: 1px solid var(--md-blue-grey-100) !important;
  font-size: 20px !important;
  font-weight: bold;
  line-height: 32px;
  letter-spacing: 0.15px !important;
}

.dialog-text-field-title {
  font-size: 12px !important;
  font-weight: bold !important;
  line-height: 24px !important;
  padding: 0px !important;
}

.login-form .v-btn {
  border-radius: 4px;
  background: var(--md-blue-400);
  color: white !important;
  width: 100%;
}

.error_password {
  color: var(--md-red-700) !important;
  font-size: 12px;
  line-height: 14.4px;
  box-shadow: none !important;
  background-color: transparent !important;
  left: 7px;
  top: -5px;
}

.bglayer rect{
  fill: transparent !important;
}

.v-text-field>.v-input__control>.v-input__slot:before {
  display: none !important;
}

.v-file-input__text {
  box-shadow: none !important;
  height: 32px !important;
  border-radius: 4px;
  color: white !important;
  text-transform: none;
  width: auto !important;
  display: inline-block !important;
  text-align: center;
}

.presentation-dropzone-btn {
  box-shadow: none !important;
  font-size: 12px !important;
  line-height: 19.92px;
  letter-spacing: 0.4px !important;
  height: 32px !important;
  padding: 6px 16px !important;
  border-radius: 4px !important;
  background-color: var(--md-blue-400) !important;
  color: white !important;
  width: 140px;
  display: inline-block !important;
  text-transform: capitalize !important;
  font-weight: 400 !important;
}

.presentation-dropzone-btn .v-text-field__slot {
  justify-content: center;
}  

audio.audio, .audio-preview {
  filter: sepia(20%) saturate(70%) grayscale(1) contrast(99%) invert(12%);
  width: 100%;
  height: 25px;
  box-sizing: border-box;
}

canvas.audio {
  display: none !important;
}

.canvas-audio {
  width:100% !important;
}

.v-tabs-slider-wrapper {
  display: none !important;
}

.v-tabs {
  margin-left: -20px !important;
}

.v-tabs .v-tab:hover::before {
  background: none !important;
}

.v-toolbar {
  background: none !important;
  box-shadow: none !important;
}

.audio-preset-audio-name {
  margin-bottom: 8px;
  color: var(--md-blue-grey-900) !important;
  font-size: 15px !important;
  font-weight: 500 !important;
  line-height: 15px !important;
  letter-spacing: 0.15px !important;
  padding: 0px !important;
  text-align: left !important;
}

.presentation-pages .dragdrop:not(.dropzone) > .v-card {
  background: var(--jp-custom--pages-background) !important;
  box-shadow: none !important;
  border: 0px !important;
}

.login-dialog, .login-form .v-card, .login-form .v-toolbar, .deploy-presets>.v-card,.ImagePreset .v-card {
	background: transparent !important;
	box-shadow: none !important;
}

.TextDropzone .v-card, .TableDataDropzone .v-card {
  background: #CFD8DC !important;
  padding: 25px 16px 16px 16px !important;
  border-radius: 8px !important;
}

.v-card:has(.v-overlay--active) {
  border: 2px solid var(--md-blue-400);
}

.v-toolbar__content {
  padding: 0px !important;
}

.text-preset-title {
  font-size: 12px;
  font-weight: bold;
  line-height: 15.6px;
  display: flex;
  height: 32px;
  padding: 4px 0px;
  align-items: center;
}

.DialogClose {
  font-size: 16px !important;
  position: absolute !important;
  right: 20px;
  top: 20px;
}

button[cancel] {
  border-radius: 4px !important;
  border: 1px solid var(--md-blue-600) !important;
  color: var(--md-blue-600) !important;
  background: white !important;
}

.v-dialog__content .v-card__actions button {
    border-radius: 4px !important;
    border: 1px solid var(--md-blue-600) !important;
    background: var(--md-blue-400);
    color: white;
    padding: 0px 16px !important;
    font-size: 14px !important;
    font-weight: 500 !important;
    line-height: 24px !important;
    letter-spacing: 0.4px !important;
    padding: 6px 16px !important;
    height: 36px !important;
    min-width: 73px !important;
}

.main-svg .gridlayer {
  display: none !important;
}

.main-svg .crisp {
  stroke: rgb(68, 68, 68) !important;
}

.dz-remove {
  display: none !important;
}

.imcl-res-color {
  width: 10%;
  height: 25%;
  position: absolute;
  top: 35%;
  left: 10%;
  box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 1px, rgb(51, 51, 51) 0px 0px 0px 1px;
  border-radius: 4px !important;
}

.presentation-pages .container.dragdrop .v-card__actions .v-btn {
  border-radius: 4px;
  font-size: 12px;
  line-height: 19.92px;
  letter-spacing: 0.4px;
  height: 32px !important;
  padding: 6px 16px;
  text-transform: capitalize;
  background: var(--jp-custom--btn-background);
  color: var(--jp-custom--btn-color);
  font-weight: 400 !important;
}

pre {
    line-height: 1.3077 !important;
    font-size: 16px !important;
    letter-spacing: 0.15px !important;
}

.v-dialog .v-btn__content {
    text-transform: none !important;
}

.dialog-title {
  min-width: 360px;
  height: 32px;
  font-family: "Roboto", sans-serif;
  font-size: 20px;
  font-weight: 500;
  line-height: 32px;
  letter-spacing: 0.15px;
  text-align: left;
}

.v-dialog__content .__panel:has(pre) {
  border-radius: 4px;
  border: 1px solid var(--md-blue-grey-100);
}

.v-dialog__content input, .v-dialog__content textarea, .v-dialog__content .__panel:has(pre) {
  border-radius: 4px;
  border: 1px solid var(--md-blue-grey-100);
}

.v-tab:not(.v-tab-preset)  {
  text-transform: none !important;
  color: var(--jp-custom--datasets-card-info) !important;
  font-size: 12px !important;
  line-height: 18px !important;
  letter-spacing: 0.4px !important;
}

.v-tab-preset  {
  text-transform: none !important;
  font-size: 12px !important;
  line-height: 18px !important;
  letter-spacing: 0.4px !important;
}

.VideoPreset .v-tab-preset  {
  height: 160px !important;
}

.TableDataPreset .v-card {
  padding: 0px 16px 16px 16px;
  border-radius: 8px;
  background: var(--jp-custom--card-background) !important;
  width: 360px !important;
  height: 250px !important;
}

.TableDataPreset .text-preset-title {
  font-size: 12px;
  font-weight: bold;
  line-height: 15.6px;
  display: flex;
  height: 32px;
  padding: 4px 0px;
  align-items: center;
  color: var(--jp-custom--pages-text) !important;
  text-transform: lowercase;
}

.TableDataPreset .v-card .v-card__text:nth-child(2),
.TextPreset .v-card .v-card__text:nth-child(2)  {
  background: var(--jp-custom--pages-background);
  font-size: 10px !important;
  line-height: 19.92px;
  letter-spacing: 0.4px;
  padding: 8px !important;
  border-radius: 4px;
  text-transform: lowercase;
}

.presentation-panel .v-card {
  border-radius: 4px !important;
  box-shadow: 0px 1px 5px 0px rgba(0, 0, 0, 0.12), 0px 2px 2px 0px rgba(0, 0, 0, 0.14), 0px 3px 1px -2px rgba(0, 0, 0, 0.20) !important;
  padding: 0px !important;
  background-color: #FFFFFF !important;
  color: rgba(0, 0, 0, 0.87);
}

.presentation-panel .v-card.accent {
  background-color: #ff80ab !important;
  border-color: #ff80ab !important;
}

.__rail-is-vertical {
  width: 4px !important;
}

.__bar-wrap-is-vertical {
  background: var(--md-blue-grey-100) !important;
  border-radius: 2px !important;
  width: 4px !important;
}

.__bar-is-vertical {
  width: 6px !important;
  border-radius: 100px !important;
  border: 0.5px solid rgba(255, 255, 255, 0.70) !important;
  background: rgba(55, 71, 79, 0.60) !important;
}

.deploy-presets .v-tabs .v-tab.v-tab--active .v-card:not(.toolbar-dialog-model-preview-edit) {
  border: 2px solid var(--md-blue-200) !important;
  background: var(--jp-custom--datasets-card-selected) !important;
  border-radius: 6px !important;
}

.ImagePreset .v-tabs .v-tab img {
  height: 160px;
  border-radius: 6px !important;
  box-shadow: 0px 3px 1px -2px rgba(0, 0, 0, 0.2), 0px 2px 2px 0px rgba(0, 0, 0, 0.14), 0px 1px 5px 0px rgba(0, 0, 0, 0.12);
}

.presentation-pages .btn_result {
  position: fixed;
  z-index: 1;
  background: var(--jp-custom--presentation-dropzone);
  bottom: -16px;
  left: 44px;
  width: calc(100% - 88px);
  height: 50px;
  text-align: center;
  box-shadow: none !important;
  border-radius: 0px !important;
  display: flex;
  justify-content: center;
  align-items: center;
}

.v-tabs .v-tab.v-tab--active img {
  border: 3px solid var(--md-blue-400) !important;
}

.v-tab-preset .v-card::before {
  display: none !important;
}

.AudioDropzoneCard {
  border-radius: 12px !important;
  height: calc(100vh - 300px) !important;
  background-color: var(--jp-custom--presentation-dropzone) !important;
}

.presentation-dropzone-btn i::before {
  font-family: var(--jp-custom-font-family-material-symbols) !important;
  content: "\f09b" !important;
}

.VideoPreset video {
  height: 85%;
}

.VideoPreset .v-tabs {
  margin-left: -26px !important;
  margin-top: 10px !important;
}

.VideoDropzoneCard {
  border-radius: 12px !important;
  background: var(--jp-custom--presentation-dropzone) !important;
  height: 100vh !important;
}

.ImageDropzoneCard {
  height: 100vh !important;
}

.text-result {
  color: var(--md-blue-grey-400) !important;
  font-size: 12px !important;
  font-weight: 500 !important;
  line-height: 12px !important;
  letter-spacing: 2.88px !important;
  text-transform: uppercase !important;
  margin-top: 24px !important;
  padding: 0px !important;
}

.deploy_error {
  color: var(--md-red-700) !important;
  font-size: 12px !important;
}